ランタイム: Mix::Scene::IFlowerPackage Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IFlowerPackage Class Referenceabstract

フラワーパッケージインターフェース More...

`#include <IFlowerPackage.h>`

Inheritance diagram for Mix::Scene::IFlowerPackage:
[legend]
Collaboration diagram for Mix::Scene::IFlowerPackage:
[legend]

## Classes

struct | MODEL
| モデル構造体 More...

## Public Types

enum | MODEL_TYPE { M_SIMPLE = 0, M_CROSS1 = 1, M_CROSS2 = 2 }
| モデルタイプ列挙定数 More...

## Public Member Functions

virtual void | GetMaterial (Mix::Scene::IMaterial **ppMaterial)=0
| マテリアルを取得します More...
virtual Boolean | SetMaterial (Mix::Scene::IMaterial *pMaterial)=0
| マテリアルを設定します More...
virtual UInt32 | GetModelCount (void) const =0
| モデルの数を取得します More...
virtual const Mix::Scene::IFlowerPackage::MODEL & | GetModel (UInt32 index) const =0
| 指定したインデックスのモデルを取得します More...
virtual void | SetModel (UInt32 index, const Mix::Scene::IFlowerPackage::MODEL &model)=0
| 指定したインデックスのモデルを設定します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IFlowerPackage (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

フラワーパッケージインターフェース

## Member Enumeration Documentation

enum Mix::Scene::IFlowerPackage::MODEL_TYPE

モデルタイプ列挙定数

Enumerator
M_SIMPLE | シンプル( １枚のポリゴン )
M_CROSS1 | クロス１( ２枚のポリゴンのクロス )
M_CROSS2 | クロス２( ３枚のポリゴンのクロス )

## Constructor & Destructor Documentation

virtual Mix::Scene::IFlowerPackage::~IFlowerPackage | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual void Mix::Scene::IFlowerPackage::GetMaterial | ( | Mix::Scene::IMaterial ** | ppMaterial | ) |

pure virtual

マテリアルを取得します

Parameters

  [out] | ppMaterial | 取得したマテリアルを渡す Mix::Scene::IMaterial インターフェースのポインタのアドレス

virtual Boolean Mix::Scene::IFlowerPackage::SetMaterial | ( | Mix::Scene::IMaterial * | pMaterial | ) |

pure virtual

マテリアルを設定します

Parameters

  [in] | pMaterial | 設定するマテリアルを表す Mix::Scene::IMaterial インターフェースのポインタ

Returns
  成功した場合は True を返します

virtual UInt32 Mix::Scene::IFlowerPackage::GetModelCount | ( | void |  | ) | const

pure virtual

モデルの数を取得します

Returns
  モデルの数を返します

virtual const Mix::Scene::IFlowerPackage::MODEL& Mix::Scene::IFlowerPackage::GetModel | ( | UInt32 | index | ) | const

pure virtual

指定したインデックスのモデルを取得します

Parameters

  [in] | index | モデルのインデックス

Returns
  モデルを表す Mix::Scene::IFlowerPackage::MODEL 構造体を返します

virtual void Mix::Scene::IFlowerPackage::SetModel | ( | UInt32 | index,
|  | const Mix::Scene::IFlowerPackage::MODEL & | model
| ) |  |

pure virtual

指定したインデックスのモデルを設定します

Parameters

  [in] | index | モデルのインデックス
  [in] | model | モデルを表す Mix::Scene::IFlowerPackage::MODEL 構造体

The documentation for this class was generated from the following file:

- Mix/Scene/IFlowerPackage.h